<?php

namespace Waggybytes\SimplyRemindMe\Library\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Subscription extends Model
{
    use HasFactory;

    protected $casts = [
        'number_credits_monthly' => 'integer',
        'number_credits_yearly' => 'integer'
    ];

    protected $hidden = ['valid_at', 'invalid_at'];

    public function currencyPrices()
    {
        return $this->hasMany(SubscriptionCurrencyPrice::class);
    }
}
